# This file created by conda-build 3.21.8
# meta.yaml template originally from:
# /Users/runner/work/bioconda-recipes/bioconda-recipes/recipes/r-vision, last modified Thu Nov  3 19:14:09 2022
# ------------------------------------------------

package:
  name: r-vision
  version: 2.0.0
source:
  sha256: 52bb4aa13343e423e7fe51f5608fb9f4698afacfbefe968f3bf9fa6e75ede2b2
  url: https://github.com/YosefLab/vision/archive/v2.0.0.tar.gz
build:
  number: '5'
  rpaths:
    - lib/
    - lib/R/lib/
  string: r42hb3ea9af_5
requirements:
  build:
    - ca-certificates 2022.9.24 h033912b_0
    - cctools_osx-64 973.0.1 h3eff9a4_10
    - clang 14.0.4 h694c41f_0
    - clang-14 14.0.4 default_h55ffa42_0
    - clang_osx-64 14.0.4 h3a95cd4_2
    - clangxx 14.0.4 default_h55ffa42_0
    - clangxx_osx-64 14.0.4 he1dbc44_2
    - compiler-rt 14.0.4 h7fcd477_0
    - compiler-rt_osx-64 14.0.4 h6df654d_0
    - ld64_osx-64 609 h1e06c2b_10
    - libclang-cpp14 14.0.4 default_h55ffa42_0
    - libcxx 14.0.6 hccf4f1f_0
    - libllvm13 13.0.1 h64f94b2_2
    - libllvm14 14.0.4 h41df66c_0
    - libzlib 1.2.13 hfd90126_4
    - llvm-tools 14.0.4 h41df66c_0
    - openssl 3.0.7 hfd90126_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
  host:
    - _r-mutex 1.0.1 anacondar_1
    - bwidget 1.9.14 h694c41f_1
    - bzip2 1.0.8 h0d85af4_4
    - c-ares 1.18.1 h0d85af4_0
    - ca-certificates 2022.9.24 h033912b_0
    - cairo 1.16.0 h904041c_1014
    - cctools_osx-64 973.0.1 h3eff9a4_10
    - clang 14.0.4 h694c41f_0
    - clang-14 14.0.4 default_h55ffa42_0
    - clang_osx-64 14.0.4 h3a95cd4_2
    - clangxx 14.0.4 default_h55ffa42_0
    - clangxx_osx-64 14.0.4 he1dbc44_2
    - compiler-rt 14.0.4 h7fcd477_0
    - compiler-rt_osx-64 14.0.4 h6df654d_0
    - curl 7.86.0 h581aaea_1
    - expat 2.5.0 hf0c8a7f_0
    - font-ttf-dejavu-sans-mono 2.37 hab24e00_0
    - font-ttf-inconsolata 3.000 h77eed37_0
    - font-ttf-source-code-pro 2.038 h77eed37_0
    - font-ttf-ubuntu 0.83 hab24e00_0
    - fontconfig 2.14.1 h5bb23bf_0
    - fonts-conda-ecosystem 1 0
    - fonts-conda-forge 1 0
    - freetype 2.12.1 h3f81eb7_0
    - fribidi 1.0.10 hbcb3906_0
    - gettext 0.21.1 h8a4c099_0
    - gfortran_impl_osx-64 11.3.0 h4c39eb8_25
    - gfortran_osx-64 11.3.0 h18f7dce_0
    - glpk 5.0 h3cb5acd_0
    - gmp 6.2.1 h2e338ed_0
    - graphite2 1.3.13 h2e338ed_1001
    - gsl 2.7 h93259b0_0
    - harfbuzz 5.3.0 h08f8713_0
    - icu 70.1 h96cf925_0
    - isl 0.22.1 hb1e8313_2
    - jpeg 9e hac89ed1_2
    - krb5 1.19.3 hb98e516_0
    - ld64_osx-64 609 h1e06c2b_10
    - lerc 4.0.0 hb486fe8_0
    - libblas 3.9.0 16_osx64_openblas
    - libcblas 3.9.0 16_osx64_openblas
    - libclang-cpp14 14.0.4 default_h55ffa42_0
    - libcurl 7.86.0 h581aaea_1
    - libcxx 14.0.6 hccf4f1f_0
    - libdeflate 1.14 hb7f2c08_0
    - libedit 3.1.20191231 h0678c8f_2
    - libev 4.33 haf1e3a3_1
    - libffi 3.4.2 h0d85af4_5
    - libgfortran 5.0.0 10_4_0_h97931a8_25
    - libgfortran-devel_osx-64 11.3.0 h824d247_25
    - libgfortran5 11.3.0 h082f757_25
    - libglib 2.74.1 h3ba3332_0
    - libiconv 1.17 hac89ed1_0
    - liblapack 3.9.0 16_osx64_openblas
    - libllvm13 13.0.1 h64f94b2_2
    - libllvm14 14.0.4 h41df66c_0
    - libnghttp2 1.47.0 h5aae05b_1
    - libopenblas 0.3.21 openmp_h429af6e_3
    - libpng 1.6.38 ha978bb4_0
    - libsodium 1.0.18 hbcb3906_1
    - libssh2 1.10.0 h47af595_3
    - libtiff 4.4.0 hdb44e8a_4
    - libwebp-base 1.2.4 h775f41a_0
    - libxml2 2.10.3 hb9e07b5_0
    - libzlib 1.2.13 hfd90126_4
    - llvm-openmp 14.0.4 ha654fa7_0
    - llvm-tools 14.0.4 h41df66c_0
    - make 4.3 h22f3db7_1
    - mpc 1.2.1 hbb51d92_0
    - mpfr 4.1.0 h0f52abe_1
    - ncurses 6.3 h96cf925_1
    - openssl 3.0.7 hfd90126_0
    - pango 1.50.11 h7fca291_0
    - pcre2 10.37 h3f55489_1
    - pixman 0.40.0 hbcb3906_0
    - r-base 4.2.1 he54549f_2
    - r-cli 3.4.1 r42h49197e3_1
    - r-cluster 2.1.4 r42h1e4e481_0
    - r-crayon 1.5.2 r42hc72bb7e_1
    - r-curl 4.3.3 r42h815d134_1
    - r-ellipsis 0.3.2 r42h815d134_1
    - r-fastica 1.2_3 r42hce01bf1_1
    - r-glue 1.6.2 r42h815d134_1
    - r-httpuv 1.6.6 r42h49197e3_1
    - r-igraph 1.3.5 r42h02d1660_0
    - r-iotools 0.3_2 r42h815d134_1
    - r-irlba 2.3.5.1 r42hce01bf1_0
    - r-jsonlite 1.8.3 r42h815d134_0
    - r-later 1.2.0 r42h49197e3_1
    - r-lattice 0.20_45 r42h815d134_1
    - r-lifecycle 1.0.3 r42hc72bb7e_1
    - r-loe 1.1 r42h815d134_1004
    - r-logging 0.10_108 r42ha770c72_3
    - r-magrittr 2.0.3 r42h815d134_1
    - r-mass 7.3_58.1 r42h815d134_1
    - r-matrix 1.5_1 r42hce01bf1_0
    - r-matrixstats 0.62.0 r42h815d134_1
    - r-mclust 6.0.0 r42h63324e3_0
    - r-mgcv 1.8_41 r42h40f944a_0
    - r-mime 0.12 r42h815d134_1
    - r-nlme 3.1_160 r42h1e4e481_0
    - r-pbmcapply 1.5.1 r42h815d134_1
    - r-permute 0.9_7 r42hc72bb7e_1
    - r-pkgconfig 2.0.3 r42hc72bb7e_2
    - r-plumber 1.2.1 r42hc72bb7e_1
    - r-promises 1.2.0.1 r42h49197e3_1
    - r-r6 2.5.1 r42hc72bb7e_1
    - r-rann 2.6.1 r42h49197e3_3
    - r-rcpp 1.0.9 r42h49197e3_2
    - r-rlang 1.0.6 r42h49197e3_1
    - r-rsvd 1.0.5 r42hc72bb7e_1
    - r-rtsne 0.16 r42h816a2aa_1
    - r-sodium 1.2.1 r42h815d134_1
    - r-sparsesvd 0.2_1 r42h815d134_1
    - r-stringi 1.7.8 r42h7183e51_1
    - r-swagger 3.33.1 r42hc72bb7e_1
    - r-vegan 2.6_4 r42h63324e3_0
    - r-webutils 1.1 r42h815d134_2
    - r-wordspace 0.2_8 r42h910fb29_1
    - readline 8.1.2 h3899abd_0
    - sigtool 0.1.3 h88f4db0_0
    - tapi 1100.0.11 h9ce4665_0
    - tk 8.6.12 h5dbffcc_0
    - tktable 2.10 h49f0cf7_3
    - xz 5.2.6 h775f41a_0
    - zlib 1.2.13 hfd90126_4
    - zstd 1.5.2 hfa58983_4
  run:
    - libcxx >=14.0.4
    - r-base >=4.2,<4.3.0a0
    - r-fastica
    - r-igraph
    - r-irlba
    - r-jsonlite
    - r-loe
    - r-logging
    - r-matrix
    - r-matrixstats
    - r-mclust
    - r-mime
    - r-pbmcapply
    - r-plumber
    - r-rann
    - r-rcpp
    - r-rsvd
    - r-rtsne
    - r-vegan
    - r-wordspace
test:
  commands:
    - $R -e "library('VISION')"
about:
  home: https://github.com/YosefLab/VISION
  license: MIT
  license_family: MIT
  license_file: LICENSE
  summary: A high-throughput and unbiased module for interpreting scRNA-seq data.
extra:
  copy_test_source_files: true
  final: true
  recipe-maintainers:
    - tdido
